/* * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：超级管理员
 * 日  期：2022-02-24 11:10
 * 描  述：LOOKUP
 */
var acceptClick;
var UpObjectTypeID = request('objectTypeId');
var ProjectId = request('ProjectId');
var SP_ID = request('SP_ID');
var Name = request('Name');
var flg = request('flg');
var bootstrap = function ($, learun) {
    "use strict";
    var page = {
        init: function () {
            page.bind();
            page.initData();
        },
        bind: function () {

        },
        initData: function () {
            // 初始化下拉列表并配置数据
            $('#DefaultFlag').lrselect({
                data: [
                    { id: '0', text: '否' },
                    { id: '1', text: '是' }
                ],
                value: 'id',
                text: 'text',
                //select: function (item) {
                //    if (item) {
                //        // 将选择的值赋给变量 B
                //        selectedSpecialType = item.id;
                //        console.log('选中的值为：' + selectedSpecialType);
                //    }
                //}
            });
            $('#DefaultFlag').lrselectSet(flg);//默认
            if (Name != "") {
                $('#Name').val(Name);
            }
        }
    };
    // 保存数据
    acceptClick = function (callBack) {
        var formData = $('#form').lrGetFormData();

        if (!$('#form').lrValidform()) {
            return false;
        }

        //文字特殊字符及最大长度检测
        if (!verify()) {
            return false;
        }
        formData.SP_ID = SP_ID;

        var postData = {
            strEntity: JSON.stringify(formData),
            ProjectId: ProjectId,
            objectTypeId: UpObjectTypeID
        }

        $.lrSaveForm(top.$.rootUrl + '/ZZDT_EC/ec_LookupTable/SaveForm', postData, function (res) {//感觉url里只能传一个参数，剩下的必须要以postdata方式

            // 保存成功后才回调
            if (!!callBack) {
                callBack();
            }


        });
    };
    page.init();
}
//文字特殊字符及最大长度检测
function verify() {
    return true;
}